local LM = require("level.loadmonitor")
local LD = require("design.LevelDesignLibrary")
local timers = require("level.timer")
local monitors = require("level.MonitorLibrary")
local uiCalls = require("ui.uicalls")
function OnStart(level)
  local cineNumber = game.Level.GetVariable("CompletedCineNumber")
  if 365 <= cineNumber and cineNumber <= 367 then
    local loadMonitor = LM.CreateLoadMonitor()
    loadMonitor:AddCallback({
      Wads = {"BoatGlobal"},
      Functions = {
        SetupScene
      }
    })
  else
    GameObjects.Cine_SonBoatEnter.LuaObjectScript.DisableScene()
    if cineNumber < 365 then
      game.AI.FindSon():CallScript("LuaHook_originalMaterial")
    end
  end
end
function SetupScene()
  GameObjects.Cine_SonBoatEnter.LuaObjectScript.SetupScene()
end
function SonSickDisableDocks()
  local cal100 = game.FindLevel("Cal100_Hub")
  if cal100 ~= nil then
    cal100:CallScript("SonSickDisableDocks")
    print("Cal590_ModiAmbush disabling dock")
  end
end
function SetupScene()
  GameObjects.Cine_SonBoatEnter.LuaObjectScript.SetupScene()
end
